# Method Thread.Farm()->run_multiple()

Method run_multiple

  `Result run_multiple(array(array(function(:void)|array)) fun_args)`

Description

  Register multiple jobs.

Parameter `fun_args`

  An array of arrays where the first element is a function to call, and the second is a corresponding array of arguments.

Returns

  Returns a Result object with an array with one element for the result for each of the functions in fun_args.

Note

  Do not modify the elements of fun_args before the result is available.

Note

  If any of the functions in fun_args throws and error, all of the accululated results (if any) will be dropped from the result, and the first backtrace be provided.

See also

  run_multiple_async()